Bug 857138 - Review Request: jackson2-jaxrs-json-provider - JAX-RS MessageBodyReader and -Writer implementations for JSON
Review Request: jackson2-jaxrs-json-provider - JAX-RS MessageBodyReader and -...
Status: CLOSED DUPLICATE of bug 985247
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 825347 857137
Blocks: 984554
  Show dependency treegraph
 
Reported: 2012-09-13 12:22 EDT by gil cattaneo
Modified: 2013-07-24 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 11:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-13 12:22:42 EDT
Spec URL: http://gil.fedorapeople.org/jackson-jaxrs-json-provider.spec
SRPM URL: http://gil.fedorapeople.org/jackson-jaxrs-json-provider-2.0.5-1.fc16.src.rpm
Description: Functionality to handle JSON input/output for JAX-RS implementations
(like Jersey and RESTeasy) using standard Jackson data binding.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-10-24 10:34:54 EDT
Spec URL: http://gil.fedorapeople.org/jackson2/jackson2-jaxrs-json-provider.spec
SRPM URL: http://gil.fedorapeople.org/jackson2/jackson2-jaxrs-json-provider-2.1.0-1.fc16.src.rpm

- update to 2.1.0
- renamed jackson2-jaxrs-json-provider
Comment 2 Marek Goldmann 2013-07-16 07:01:28 EDT
Any chance to upgrade to latest guidelines?
Comment 4 Marek Goldmann 2013-07-16 07:38:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jackson2
     -jaxrs-json-provider-javadoc
[X]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 26 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[ ]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jackson2-jaxrs-json-provider-2.1.5-1.fc20.noarch.rpm
          jackson2-jaxrs-json-provider-javadoc-2.1.5-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jackson2-jaxrs-json-provider jackson2-jaxrs-json-provider-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jackson2-jaxrs-json-provider (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(com.fasterxml.jackson.module:jackson-module-jaxb-annotations)

jackson2-jaxrs-json-provider-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jackson2-jaxrs-json-provider:
    jackson2-jaxrs-json-provider
    mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider)
    osgi(com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider)

jackson2-jaxrs-json-provider-javadoc:
    jackson2-jaxrs-json-provider-javadoc



Source checksums
----------------
https://github.com/FasterXML/jackson-jaxrs-json-provider/archive/jackson-jaxrs-json-provider-2.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 021554c7e45e86f99366a2ce6002ac473169228aff8266095a359deabbd1bf43
  CHECKSUM(SHA256) upstream package : 021554c7e45e86f99366a2ce6002ac473169228aff8266095a359deabbd1bf43
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 857138 -m fedora-rawhide-i386

================
*** APPROVED ***
================
Comment 5 gil cattaneo 2013-07-16 07:42:16 EDT
New Package SCM Request
=======================
Package Name: jackson2-jaxrs-json-provider
Short Description: JAX-RS MessageBodyReader and -Writer implementations for JSON
Owners: gil
Branches: f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-07-16 08:02:48 EDT
Git done (by process-git-requests).
Comment 7 Marek Goldmann 2013-07-24 02:42:26 EDT
Gil, was this package renamed or the content of this package is available in some other package? Which one?
Comment 8 gil cattaneo 2013-07-24 11:14:44 EDT
i apologize for the delay in answering.
yes, this package was includes in 
https://github.com/FasterXML/jackson-jaxrs-providers/
available at 
https://bugzilla.redhat.com/show_bug.cgi?id=985247

*** This bug has been marked as a duplicate of bug 985247 ***
Comment 9 Gwyn Ciesla 2013-07-24 11:40:40 EDT
Already exists, clearing flag.

Note You need to log in before you can comment on or make changes to this bug.